Skip to content
Справочник APIConsumerConsumer.devices

Open or fetch the device map for the current project

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

POST
/consumer/v1/devices/{id}/map

Uses the authenticated device token to fetch a full device map snapshot for the selected project. Accept: application/json returns one response, while Accept: text/event-stream keeps the response open and starts with a full snapshot event.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Device ID

Formatuuid

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid
Accept*string

Requested response transport.

Request Body

application/json

Device map request containing the local device report and optional session cursor metadata.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/consumer/v1/devices/55555555-5555-5555-5555-555555555555/map" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Accept: application/json" \  -H "Content-Type: application/json" \  -d '{    "report": {      "endpoints": []    }  }'
{  "full": null,  "keep_alive": true,  "patch": null,  "seq": 0,  "session_handle": "string"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}